JUCE: juce::midi_ci::RequestID Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
juce::midi_ci::RequestID Class Reference
juce_midi_ci » ci

A strongly-typed identifier for a 7-bit request ID with a nullable state. More...

`#include <juce_CIPropertyExchangeCache.h>`

## Public Member Functions
std::byte | asByte () const
| Returns the byte corresponding to this ID.
uint8_t | asInt () const
| Returns the int value of this ID.
bool | operator== (RequestID other) const
| Equality operator.
bool | operator!= (RequestID other) const
| Inequality operator.

## Static Public Member Functions
static std::optional< RequestID > | create (uint8_t v)
| Constructs a RequestID if the provided value is valid, i.e.
static std::optional< RequestID > | create (std::byte value)
| Constructs a RequestID if the provided value is valid, i.e.

## Detailed Description

A strongly-typed identifier for a 7-bit request ID with a nullable state.

## Member Function Documentation

## ◆ create() [1/2]

static std::optional< RequestID > juce::midi_ci::RequestID::create | ( | uint8_t | v | ) |
| static

Constructs a RequestID if the provided value is valid, i.e.

its most significant bit is not set. Otherwise, returns nullopt.

Referenced by create().

## ◆ create() [2/2]

static std::optional< RequestID > juce::midi_ci::RequestID::create | ( | std::byte | value | ) |
| static

Constructs a RequestID if the provided value is valid, i.e.

its most significant bit is not set. Otherwise, returns nullopt.

References create().

## ◆ asByte()

std::byte juce::midi_ci::RequestID::asByte | ( |  | ) | const

Returns the byte corresponding to this ID.

## ◆ asInt()

uint8_t juce::midi_ci::RequestID::asInt | ( |  | ) | const

Returns the int value of this ID.

## ◆ operator==()

bool juce::midi_ci::RequestID::operator== | ( | RequestID | other | ) | const

Equality operator.

Referenced by operator!=().

## ◆ operator!=()

bool juce::midi_ci::RequestID::operator!= | ( | RequestID | other | ) | const

Inequality operator.

References operator==().

The documentation for this class was generated from the following file:

- juce_CIPropertyExchangeCache.h